      CHARACTER*5 SCHNAM
      CHARACTER*10 HMNAME

      OPEN(3,FILE='genertor',IOSTAT=ISO,STATUS='OLD')
C      OPEN(3,FILE='genert.dat',IOSTAT=ISO,STATUS='OLD')
C     write(6,*) ISO
C      pause
C     IF(ISO.NE.0) STOP
      DO 1 I=1,230
         NN=I
         CALL TSNTNM(NN,3,NC,SCHNAM,HMNAME)
         DO 2 IC=1,NC
            NNC=IC
            CALL TSPNGE(NN,NNC,3)
C           pause
    2 continue
    1 CONTINUE
C      CLOSE(3)
      STOP
      END
